> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all function logs

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_installation_id}/functions/{function_id}/logs

Reference: https://contentful.com/developers/docs/references/content-management-api/function-logs/get-all-function-logs

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — space_id identifier
- `environment_id` (string, required) — environment_id identifier
- `app_installation_id` (string, required) — app_installation_id identifier
- `function_id` (string, required) — function_id identifier

### Headers

- `x-contentful-enable-alpha-feature` (string, required)

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

  const start = new Date()
  const end = new Date()
  start.setHours(start.getHours() - 1)

  client
    .getSpace('<space-id>')
    .then((space) => space.getEnvironment('<environment-id>'))
    .then((environment) =>
      environment.getFunctionLogs(
        '<app-definition-id>',
        '<function-id>',
        {
          query: {
            // optional limit
            limit: 10,
            // optional interval query
            'sys.createdAt[gte]': start,
            'sys.createdAt[lt]': end,
            // optional cursor based pagination parameters
            pagePrev: '<page_prev>',
          }
        }
      )
    )
    .then((logs) => console.log(logs.items))
    .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const start = new Date()
const end = new Date()
start.setHours(start.getHours() - 1)

const logs = client.functionLog.getMany({
    spaceId: '<space-id>',
    environmentId: '<environment-id>',
    appInstallationId: '<app-installation-id>',
    functionId: '<function-id>',
    query: { 
      // optional limit
      limit: 10,
      // optional interval query
      'sys.createdAt[gte]': start,
      'sys.createdAt[lt]': end,
      // optional cursor based pagination parameters
      pagePrev: '<page_prev>',
    }
  })
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```